Get statuses in batch for payments by their intent ids.
curl --request POST \
--url https://sandbox-api.sandbox.lemmax.com/payments/v1/payments/statuses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_intent_ids": [
"79381939-1D94-4F34-A8AA-C6D4DF435964",
"5B5119E4-320B-4D2C-BF59-7B2BB326D06C",
"C08ECA11-1FBD-4E0E-BBD0-E865500A9051"
]
}
'import requests
url = "https://sandbox-api.sandbox.lemmax.com/payments/v1/payments/statuses"
payload = { "payment_intent_ids": ["79381939-1D94-4F34-A8AA-C6D4DF435964", "5B5119E4-320B-4D2C-BF59-7B2BB326D06C", "C08ECA11-1FBD-4E0E-BBD0-E865500A9051"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_intent_ids: [
'79381939-1D94-4F34-A8AA-C6D4DF435964',
'5B5119E4-320B-4D2C-BF59-7B2BB326D06C',
'C08ECA11-1FBD-4E0E-BBD0-E865500A9051'
]
})
};
fetch('https://sandbox-api.sandbox.lemmax.com/payments/v1/payments/statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"payment_intent_id": "88831e0e-370c-4a03-b904-9b375c453ac6",
"status": "Approved"
}
]
}{
"error": {
"message": "The Foo resource could not be found",
"reason": "Not Found",
"status": 404
}
}{
"error": {
"message": "The Foo resource could not be found",
"reason": "Not Found",
"status": 404
}
}{
"error": {
"message": "The Foo resource could not be found",
"reason": "Not Found",
"status": 404
}
}Forte Payments
Get Payment Statuses
Request statuses in batch for payments by their intent ids.
POST
/
payments
/
v1
/
payments
/
statuses
Get statuses in batch for payments by their intent ids.
Authorizations
access_token returned by the /auth/v1/oauth2/tokens API call.
Body
application/json
List of payment intent ids.
Get statuses request schema
Required array length:
1 - 100 elementsID of the payment intent.
Required string length:
36Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Response
List of statuses for requested intent ids.
Get statuses response schema
Maximum array length:
1000Show child attributes
Show child attributes
⌘I